Page MenuHomePhabricator

Snapshot hosts need to be manually added to dataset1001's exports
Closed, ResolvedPublic

Description

Applying the snapshot role on a new host fails until the host is added to operations/puppet.git:modules/dataset/files/exports and exportfs -r is manually run on dataset1001.

Notice: /Stage[main]/Nfs::Data/Mount[/mnt/data]/ensure: ensure changed 'unmounted' to 'mounted'
Error: /Stage[main]/Nfs::Data/Mount[/mnt/data]: Could not evaluate: Execution of '/bin/mount /mnt/data' returned 32: mount.nfs: access denied by server while mounting dataset1001.wikimedia.org:/data

Event Timeline

ori created this task.Sep 5 2015, 12:05 AM
ori raised the priority of this task from to High.
ori updated the task description. (Show Details)
ori added a subscriber: ori.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 5 2015, 12:05 AM

Change 236233 had a related patch set uploaded (by Ori.livneh):
Document bug T111586 in a comment in site.pp

https://gerrit.wikimedia.org/r/236233

Change 236233 merged by Ori.livneh:
Document bug T111586 in a comment in site.pp

https://gerrit.wikimedia.org/r/236233

Krenair set Security to None.
jcrespo added a subscriber: jcrespo.

Ariel generously accepted to remind the rest of ops about this by owning this.

https://gerrit.wikimedia.org/r/#/c/278043/ as a first take. At least it ought to sort out the export -r issue. As to manually adding to exports, now that's just moved to 'manually add to hiera' which I don't know if it's an improvement.

Dzahn added a subscriber: Dzahn.Mar 17 2016, 9:40 PM

Not having to manually run that command is definitely an improvement. And it looks much easier to read in the hiera structure than in that old exports file where it's all on a single line with other options. Also harder to make a typo that messes stuff up.

ArielGlenn closed this task as Resolved.Mar 18 2016, 8:41 PM

Done. Closing.